Package org.eclipse.m2m.atl.emftvm.ant

## Class NewModelTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
      - - org.eclipse.m2m.atl.emftvm.ant.LoadModelTask
        - - org.eclipse.m2m.atl.emftvm.ant.NewModelTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class NewModelTask
    extends LoadModelTask

Creates a new `Model`.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`NewModelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `loadFromURI​(org.eclipse.emf.common.util.URI uri)` Creates a new model from

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.LoadModelTask

`createModel, getName, getUri, getWspath, innerExecute, loadFromNsuri, loadFromWspath, setName, setUri, setWspath`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NewModelTask

    public NewModelTask()

### Method Detail

#### loadFromURI

    protected void loadFromURI​(org.eclipse.emf.common.util.URI uri)

Creates a new model from

    uri

.

Overrides:
  `loadFromURI` in class `LoadModelTask`
Parameters:
  `uri` - the model's EMF URI
See Also:
  `LoadModelTask.loadFromURI(org.eclipse.emf.common.util.URI)`